<template>
  <div class="grid-box back">
    <div class="grid">
      <div class="movies" v-for="(item, i) in slideData" :key="i">
        <div class="grid-item">
          <img :src="item.img" />
          <div class="mov-info">
            <span>{{ item.name }}</span>
            <span>{{ item.year }}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      slideData: [
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
          year: 2021,
        },
      ],
    };
  },
};
</script>

<style scoped lang="scss">
.grid-box {
  padding: 1vmax 2vw;
  .grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    column-gap: 2vw;
    row-gap: 15px;
    .grid-item {
      img {
        border-radius: 20px;
        width: 100%;
        height: 340px;
      }
      span {
        font-size: 1.4rem;
        font-weight: 700;
        color: rgb(0, 183, 255);
      }
    }
  }
}
</style>